%define name 	gksu
%define version 1.3.4
%define release 1mdk

Summary: 	GKsu is a GTK+ frontend to the su and sudo programs
Name:	 	%name
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 	 	Graphical desktop/GNOME
Url:		http://www.nongnu.org/gksu/
Source:  	http://people.debian.org/~kov/gksu/gksu/%name-%version.tar.bz2
BuildRoot: 	%{_tmppath}/%name-root
BuildRequires: 	gettext pkgconfig libgtk+2.0-devel bison autoconf2.5
Buildrequires:	libgksuui-devel >= 1.0.6
BuildRequires:	libgksu1.2-devel >= 1.3.3
BuildRequires:	gtk-doc GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
gksu is a Gtk+ frontend to /bin/su. It supports login shells and preserving
environment when acting as a su frontend. It is useful to menu items or
other graphical programs that need to ask a user's password to run another
program as another user.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall
%find_lang %name

%clean
rm -fr %buildroot

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gksu.schemas > /dev/null

%postun
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gksu.schemas > /dev/null

%files -f %name.lang
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png
%{_datadir}/%name
%{_mandir}/man1/*.1.*

%changelog
* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 1.3.4-1mdk
- 1.3.4
- source URL
- configure 2.5
- buildrequires gtk-doc
- install schemas

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Wed Nov 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.15-2mdk
- remove description of sudo functionality (removed)

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.15-1mdk
- 0.9.15

* Sun May 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.9.8-2mdk
- buildrequires autoconf2.5
- add clean section

* Wed Apr 9 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- 0.9.8

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- url

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.9.1-1mdk
- 0.9.1
- add man pages

* Wed Jan 29 2003 Austin Acton <aacton@yorku.ca> 0.9.0-1mdk
- initial package
